// Handles the Tutorial Overlay.
// Worthless Bums 2012.


function updateActiveCharacterTutorial ()
{//echo("updateActiveCharacterTutorial()");
	activeCharacterTutorial.setText("<- This is your active character, " @ $playerSquad[$activeCharacter].name @ ".");
}
function toggleTutorialOverlay ()
{//echo("toggleTutorialOverlay()");
	// Don't let the player toggle the tutorial overlay if the explore gui is not pushed on top!
	if ($squadInfoScreenPushed)
	{
		// Make sure we flag the tutorial overlay as not being pushed.
		$tutorialOverlayOn = false;
		return false;
	}
	// Make this function toggle the tutorial overlay.
	if ($tutorialOverlayOn)
	{//echo("tutorial popped!");
		// Pop the overlay.
		$tutorialOverlayOn = false;
		Canvas.popDialog(exploreGuiTutorial);
	}
	else
	{//echo("tutorial pushed!");
		// Updated the tutorial overlay.
		updateActiveCharacterTutorial();
		// Push the overlay.
		$tutorialOverlayOn = true;
		Canvas.pushDialog(exploreGuiTutorial);
	}
	return true;
}

//-------------------------------------------------------------------------------------------------------------------------
//Canvas.getCursorPos();

// Tutorials.
//  0. Action Points and Turn-Based Play.
//  1. Basic Movement and Sight Range.
//  2. Facing and Swapping Positions.
//  3. Follow Mode.
//  4. Zoom In/Out.
//  5. Meleeing and Smashing Walls.
//  6. Firing - Damage, Range, and Accuracy.
//  7. Weapon Attachments.
//  8. Guard Mode.
//  9. Armor - Armor Rating and Speed.
// 10. Inventory - Grab, Tool Tips, Use.
// 11. Experience and Talents.

// Start a tutorial level!
function startTutorialLevel ()
{//echo("startTutorialLevel()");
	// Start new game not from load!
	newGameButton(false);
}